<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <header>
        <nav>

    <main>
        <div>
            <h1>My Lists</h1>
            <p><a href="{% url 'todo_list_create' %}">Create a new list</a></p>

        </div>
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number of items</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    {% for todolists in todo_list_list %}
                    <td><a href="{% url 'todo_list_detail' todolists.id %}">{{ todolists.name }}</a></td>
                    <td>
                        <a>{{ todolists.items.count }}</a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>
</html>
